=== chasen/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for ChaSen
#

CP      = cp
SHELL   = /bin/sh
BINDIR  = /usr/local/bin
RM      = rm -f

LIBDIR = ../lib
INCS   = -I$(LIBDIR)
CHALIB = $(LIBDIR)/libchasen.a
CHASEN = chasen
OBJS   = chasen.o client.o server.o
EXES   = $(CHASEN)

.c.o:
	$(CC) $(CFLAGS) $(INCS) $(CHASEN_PORT) $(DEFS) -c $(CCOUT)$@ $<

all: $(EXES)

win: all

$(CHASEN): $(OBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(CHALIB) $(NETLIBS)

chasmpl: chasmpl.o $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ chasmpl.o $(CHALIB) $(NETLIBS)

$(OBJS): $(LIBDIR)/chalib.h $(LIBDIR)/config.h

install: all
	-mkdir -p $(BINDIR)
	$(CP) $(CHASEN) $(BINDIR)

clean:
	$(RM) $(EXES) *.o core a.out
