=== lib/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for chadic (ChaSen dictionary) library
#

SHELL   = /bin/sh
AR      = ar

INCS = -I.
DICOBJS = connect.o getid.o grammar.o iotool.o katuyou.o zentohan.o lisp.o
CHAOBJS = chalib.o parse.o init.o print.o
PATOBJS = pat.o patfile.o
SUFOBJS = chfile.o select.o
OBJS = $(DICOBJS) $(CHAOBJS) $(PATOBJS) $(SUFOBJS) jfgets.o getopt.o

.c.o:
	$(CC) $(CFLAGS) $(INCS) $(DEFS) -c $(CCOUT)$@ $<

all: libchasen.a

win: sjis all

sjis:
	qkc -s chadic.h

libchasen.a: $(OBJS)
	$(AR) rc $@ $(OBJS)
	$(RANLIB) $@

$(DICOBJS): chadic.h
$(CHAOBJS): chadic.h chalib.h config.h pat.h
$(PATOBJS): pat.h
$(SUFOBJS): sufary.h

clean:
	$(RM) libchasen.a *.o core core.* a.out
