=== mkchadic/Makefile ===
#
# Makefile for mkchadic
#

CP      = cp
MV      = mv -f
SHELL   = /bin/sh
LIBDIR  = /usr/local/lib/chasen

MKDICDIR = $(LIBDIR)/mkchadic
LIBDIR = ../lib
INCS = -I$(LIBDIR)
CHALIB = $(LIBDIR)/libchasen.a

MAKEINTOBJS = makeint.o trans.o
MAKEMATOBJS = makemat.o
TRANSDICOBJS = transdic.o
SORTDICOBJS = sortdic.o
CONVDICOBJS = convdic.o
PATOBJS     = interface.o morph.o
MKARYOBJS   = mkary.o
EXES = makemat sortdic convdic pattool makeint mkary

.c.o:
	$(CC) $(CFLAGS) $(INCS) $(DEFS) -c $(CCOUT)$@ $<

.y.o:
	$(YACC) $<
	$(CC) $(CFLAGS) $(INCS) $(DEFS) -c y.tab.c
	$(MV) y.tab.o $@ 
	$(RM) y.tab.c

all: $(EXES)

#win: all
win:

makeint: $(MAKEINTOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(MAKEINTOBJS) $(CHALIB)

makemat: $(MAKEMATOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(MAKEMATOBJS) $(CHALIB)

transdic: $(TRANSDICOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(TRANSDICOBJS) $(CHALIB)

sortdic: $(SORTDICOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(SORTDICOBJS) $(CHALIB)

convdic: $(CONVDICOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(CONVDICOBJS) $(CHALIB)

pattool: $(PATOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(PATOBJS) $(CHALIB)

mkary: $(MKARYOBJS) $(CHALIB)
	$(CC) $(LDFLAGS) -o $@ $(MKARYOBJS) $(CHALIB)

$(MAKEINTOBJS) $(MAKEMATOBJS) $(SORTDICOBJS) $(CONVDICOBJS): $(LIBDIR)/chadic.h
$(PATOBJS): $(LIBDIR)/pat.h

install: all
	-mkdir $(MKDICDIR)
	$(CP) $(EXES) $(MKDICDIR)

clean:
	$(RM) $(EXES) *.o core a.out
