## chasen 2.4.5

=== debian/changelog ===
chasen (2.4.5-40) unstable; urgency=medium

  * debian/control
    - Vcs-* move to salsa.debian.org 
    - use https for Homepage:
    - set Bulid-Depends: debhelper (>= 11), and drop unnecessary dh-autoreconf
      dependency (pulled automatically)
    - set Standards-Version: 4.1.3
  * debian/rules
    - drop "--with autoreconf"
    - specify "--no-parallel" to avoid FTBFS
  * debian/compat
    - set 11
  * debian/watch
    - update to version 4
  * debian/copyright
    - sort orders to ignore lintian warning
      "global-files-wildcard-not-first-paragraph-in-dep5-copyright"
  * debian/chasen-dictutils.lintian-overrides
    - drop it since it is unsed

  [NOKUBI Takatsugu]
  * debian/patches/0004-hide-cpp-symbols.patch: Remove incorrect pragma.

 -- Hideki Yamane <henrich@debian.org>  Tue, 06 Feb 2018 20:10:40 +0900

chasen (2.4.5-39) unstable; urgency=medium

  * d/p/chasen-initialize-memory.patch: Add, closes: #881231
  * debian/watch: New URL.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 10 Nov 2017 15:13:44 +0900

chasen (2.4.5-38.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix i386 symbols for gcc-7.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Aug 2017 16:00:02 -0400

chasen (2.4.5-38) unstable; urgency=medium

  * debian/libchasen2.symbols: Append optional C++ symbol for gcc-7,
    closes: #871179

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 08 Aug 2017 15:55:47 +0900

chasen (2.4.5-37) unstable; urgency=medium

  * debian/libchasen2.symbols: Append demangled C++ symbols.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Jul 2017 08:10:49 +0000

chasen (2.4.5-36) unstable; urgency=medium

  * debian/libchasen2.symbols.i386: Use demangled C++ symbols.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Jul 2017 07:10:47 +0000

chasen (2.4.5-35) unstable; urgency=medium

  * debian/libchasen2.symbols.i386: Regenerate, remove debian specific version.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Jul 2017 07:03:59 +0000

chasen (2.4.5-34) unstable; urgency=medium

  * debian/rules: remove -pie flag on hardening flags, closes: #859354

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 02 Apr 2017 23:12:17 +0000

chasen (2.4.5-33) unstable; urgency=medium

  * debian/patches/0004-hide-cpp-symbols.patch: remove more C++ symbols
    closes: #853346
  * debian/libchasen2.symbols*: remove symbols

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 02 Apr 2017 23:11:19 +0000

chasen (2.4.5-32) unstable; urgency=medium

  * debian/libchasen2.symbols.alpha: update again
  * debian/libchasen2.symbols.m68k: update again
  * debian/libchasen2.symbols.powerpcspe: update

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 23 Nov 2016 22:05:55 +0000

chasen (2.4.5-31) unstable; urgency=medium

  * debian/libchasen2.symbols.alpha: update, closes: #845097
  * debian/libchasen2.symbols.m68k: update, closes: #845098

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 21 Nov 2016 22:06:13 +0000

chasen (2.4.5-30) unstable; urgency=medium

  * Hide darts C++ template instance symbols.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 21 Nov 2016 05:37:24 +0000

chasen (2.4.5-29) unstable; urgency=medium

  * Regenerate g++6 symbols for s390x.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Oct 2016 02:32:32 +0000

chasen (2.4.5-28) unstable; urgency=medium

  * Regenerate g++6 symbols for arm*, mips* and powerpc, closes: #838016

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Oct 2016 00:30:58 +0000

chasen (2.4.5-27) unstable; urgency=medium

  * Regenerate g++6 symbols for arm*, mips*, closes: #838016

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 20 Sep 2016 05:27:03 +0000

chasen (2.4.5-26) unstable; urgency=medium

  * Regenerate g++6 symbols for amd64, closes: #835038

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 23 Aug 2016 06:35:44 +0000

chasen (2.4.5-25) unstable; urgency=medium

  * Add g++6 symbols, closes: #811967

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 19 Jul 2016 07:20:58 +0000

chasen (2.4.5-24) unstable; urgency=medium

  * Revert to use dpkg-architecture in chasen-config

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 14 Feb 2016 23:42:08 +0000

chasen (2.4.5-23) unstable; urgency=medium

  * Revert chasen-config moving.
  * Remove -L option in chasen-config.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 12 Feb 2016 06:20:10 +0000

chasen (2.4.5-22) unstable; urgency=medium

  * Move chasen-config from chasen-dictutils to libchasen-dev.
  * Fix arch dependend path in chasen-config.
  * debian/libchasen2.symbols: remove missing symbols, Closes: #811967

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 11 Feb 2016 23:48:15 +0000

chasen (2.4.5-21) unstable; urgency=medium

  * debian/libchasen2.symbols.sh4: removed, it would be close 779393.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 04 Mar 2015 06:08:17 +0000

chasen (2.4.5-20) unstable; urgency=medium

  * debian/libchasen2.symbols: mark sh4 symbols as optional Closes: #779393:

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 02 Mar 2015 04:00:35 +0000

chasen (2.4.5-19) unstable; urgency=medium

  * debian/libchasen2.symbols: mark a symbol as optional, closes #777815.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 13 Feb 2015 08:08:37 +0000

chasen (2.4.5-18) unstable; urgency=medium

  * fix stupid mistake, not install.*i386 but "symbols".*i386 

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 11:33:21 +0900

chasen (2.4.5-17) unstable; urgency=medium

  * revert previous change
  * add debian/libchasen2.symbols.kfreebsd-i386 and hurd-i386 

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 10:29:37 +0900

chasen (2.4.5-16) unstable; urgency=medium

  * use debian/libchasen2.symbols.i386 as debian/libchasen2.symbols and
    rename previous debian/libchasen2.symbols to debian/libchasen2.symbols.amd64 
    to fix build failure on kfreebsd-i386 and hurd-i386

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Jan 2015 09:03:39 +0900


