=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc --with-darts=/usr/include

override_dh_compress:
	dh_compress -X.pdf -X.tex

override_dh_install:
	dh_install
	sed -e 's/-L[^ ]* -lchasen/-lchasen/' chasen-config \
	> debian/chasen-dictutils/usr/bin/chasen-config
