=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

opts="downloadurlmangle=s/sourceforge/iij.dl.sourceforge/;s/downloads\///;s/projects\///;s/gz\//gz/;s/xz\//xz/,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/" \
 https://ja.osdn.net/projects/chasen-legacy/releases/ \
 /projects/chasen-legacy/downloads/.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@/
